<?xml version="1.0" encoding="utf-8" ?>
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      autoReload="true">

    <extensions>
        <add assembly="NLog.Web.AspNetCore"/>
    </extensions>
    
    <targets>
        <target name="asyncFile" xsi:type="AsyncWrapper">
            <target 
                name="appLog" 
                xsi:type="File" 
                fileName="d:\logs\FabApprovalWorkerService\log.txt"
                archiveFilename="d:\logs\FabApprovalWorkerService\archive\log-${shortdate}.txt"
                maxArchiveFiles="15"
                archiveEvery="Day"
            />
            <target 
                name="consoleLog"
                xsi:type="Console"
            />
        </target>
    </targets>

    <rules>
        <logger name="Microsoft.*" finalMinLevel="Warn" />
        <logger name="System.Net.Http.HttpClient.*" finalMinLevel="Warn" />
        <logger name="*" minlevel="Debug" writeTo="consoleLog, appLog"/>
    </rules>
</nlog>